Test Point - Get Points List
Get all the points inside a suite based on some filters
GET https://dev.azure.com/{organization}/{project}/_apis/testplan/Plans/{planId}/Suites/{suiteId}/TestPoint?api-version=7.1
GET https://dev.azure.com/{organization}/{project}/_apis/testplan/Plans/{planId}/Suites/{suiteId}/TestPoint?testPointIds={testPointIds}&testCaseId={testCaseId}&continuationToken={continuationToken}&returnIdentityRef={returnIdentityRef}&includePointDetails={includePointDetails}&isRecursive={isRecursive}&api-version=7.1
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
organization
|
path | True |
string |
The name of the Azure DevOps organization. |
|
plan
|
path | True |
integer (int32) |
ID of the test plan for which test points are requested. |
|
project
|
path | True |
string |
Project ID or project name |
|
suite
|
path | True |
integer (int32) |
ID of the test suite for which test points are requested |
|
api-version
|
query | True |
string |
Version of the API to use. This should be set to '7.1' to use this version of the api. |
|
continuation
|
query |
string |
If the list of test point returned is not complete, a continuation token to query next batch of test points is included in the response header as "x-ms-continuationtoken". Omit this parameter to get the first batch of test points. |
|
|
include
|
query |
boolean |
If set to false, will get a smaller payload containing only basic details about the test point object |
|
|
is
|
query |
boolean |
If set to true, will also fetch test points belonging to child suites recursively. |
|
|
return
|
query |
boolean |
If set to true, returns the AssignedTo field in TestCaseReference as IdentityRef object. |
|
|
test
|
query |
string |
Get Test Points for specific test case Ids. |
|
|
test
|
query |
string |
ID of test points to fetch. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
successful operation |
Security
oauth2
Type:
oauth2
Flow:
accessCode
Authorization URL:
https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL:
https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer
Scopes
| Name | Description |
|---|---|
| vso.test | Grants the ability to read test plans, cases, results and other test management related artifacts. |
Definitions
| Name | Description |
|---|---|
|
Failure |
Failure Type for the Test Point |
|
Identity |
|
|
Last |
Last Resolution State Id for the Test Point |
|
Last |
Last result details of test point. |
| Outcome |
Outcome of the Test Point |
|
Point |
State of the Test Point |
|
Project |
Project state. |
|
Project |
Project visibility. |
|
Reference |
The class to represent a collection of REST reference links. |
|
Result |
Last Result State of the Test Point |
|
Team |
Represents a shallow reference to a TeamProject. |
|
Test |
Test Case Reference |
|
Test |
Test Configuration Reference |
|
Test |
The test plan reference resource. |
|
Test |
Test Point Class |
|
Test |
Test Point Results |
|
Test |
The test suite reference resource. |
FailureType
Failure Type for the Test Point
| Value | Description |
|---|---|
| none | |
| regression | |
| new_Issue | |
| known_Issue | |
| unknown | |
| null_Value | |
| maxValue |
IdentityRef
| Name | Type | Description |
|---|---|---|
| _links |
This field contains zero or more interesting links about the graph subject. These links may be invoked to obtain additional relationships or more detailed information about this graph subject. |
|
| descriptor |
string |
The descriptor is the primary way to reference the graph subject while the system is running. This field will uniquely identify the same graph subject across both Accounts and Organizations. |
| directoryAlias |
string |
Deprecated - Can be retrieved by querying the Graph user referenced in the "self" entry of the IdentityRef "_links" dictionary |
| displayName |
string |
This is the non-unique display name of the graph subject. To change this field, you must alter its value in the source provider. |
| id |
string |
|
| imageUrl |
string |
Deprecated - Available in the "avatar" entry of the IdentityRef "_links" dictionary |
| inactive |
boolean |
Deprecated - Can be retrieved by querying the Graph membership state referenced in the "membershipState" entry of the GraphUser "_links" dictionary |
| isAadIdentity |
boolean |
Deprecated - Can be inferred from the subject type of the descriptor (Descriptor.IsAadUserType/Descriptor.IsAadGroupType) |
| isContainer |
boolean |
Deprecated - Can be inferred from the subject type of the descriptor (Descriptor.IsGroupType) |
| isDeletedInOrigin |
boolean |
|
| profileUrl |
string |
Deprecated - not in use in most preexisting implementations of ToIdentityRef |
| uniqueName |
string |
Deprecated - use Domain+PrincipalName instead |
| url |
string |
This url is the full route to the source resource of this graph subject. |
LastResolutionState
Last Resolution State Id for the Test Point
| Value | Description |
|---|---|
| none | |
| needsInvestigation | |
| testIssue | |
| productIssue | |
| configurationIssue | |
| nullValue | |
| maxValue |
LastResultDetails
Last result details of test point.
| Name | Type | Description |
|---|---|---|
| dateCompleted |
string (date-time) |
Completed date of last result. |
| duration |
integer (int64) |
Duration of the last result in milliseconds. |
| runBy |
The user who executed the last result. |
Outcome
Outcome of the Test Point
| Value | Description |
|---|---|
| unspecified |
Only used during an update to preserve the existing value. |
| none |
Test has not been completed, or the test type does not report pass/failure. |
| passed |
Test was executed w/o any issues. |
| failed |
Test was executed, but there were issues. Issues may involve exceptions or failed assertions. |
| inconclusive |
Test has completed, but we can't say if it passed or failed. May be used for aborted tests... |
| timeout |
The test timed out |
| aborted |
Test was aborted. This was not caused by a user gesture, but rather by a framework decision. |
| blocked |
Test had it chance for been executed but was not, as ITestElement.IsRunnable == false. |
| notExecuted |
Test was not executed. This was caused by a user gesture - e.g. user hit stop button. |
| warning |
To be used by Run level results. This is not a failure. |
| error |
There was a system error while we were trying to execute a test. |
| notApplicable |
Test is Not Applicable for execution. |
| paused |
Test is paused. |
| inProgress |
Test is currently executing. Added this for TCM charts |
| notImpacted |
Test is not impacted. Added fot TIA. |
| maxValue |
PointState
State of the Test Point
| Value | Description |
|---|---|
| none |
Default |
| ready |
The test point needs to be executed in order for the test pass to be considered complete. Either the test has not been run before or the previous run failed. |
| completed |
The test has passed successfully and does not need to be re-run for the test pass to be considered complete. |
| notReady |
The test point needs to be executed but is not able to. |
| inProgress |
The test is being executed. |
| maxValue |
ProjectState
Project state.
| Value | Description |
|---|---|
| deleting |
Project is in the process of being deleted. |
| new |
Project is in the process of being created. |
| wellFormed |
Project is completely created and ready to use. |
| createPending |
Project has been queued for creation, but the process has not yet started. |
| all |
All projects regardless of state except Deleted. |
| unchanged |
Project has not been changed. |
| deleted |
Project has been deleted. |
ProjectVisibility
Project visibility.
| Value | Description |
|---|---|
| private |
The project is only visible to users with explicit access. |
| public |
The project is visible to all. |
ReferenceLinks
The class to represent a collection of REST reference links.
| Name | Type | Description |
|---|---|---|
| links |
object |
The readonly view of the links. Because Reference links are readonly, we only want to expose them as read only. |
ResultState
Last Result State of the Test Point
| Value | Description |
|---|---|
| unspecified |
Only used during an update to preserve the existing value. |
| pending |
Test is in the execution queue, was not started yet. |
| queued |
Test has been queued. This is applicable when a test case is queued for execution |
| inProgress |
Test is currently executing. |
| paused |
Test has been paused. This is applicable when a test case is paused by the user (For e.g. Manual Tester can pause the execution of the manual test case) |
| completed |
Test has completed, but there is no quantitative measure of completeness. This may apply to load tests. |
| maxValue |
TeamProjectReference
Represents a shallow reference to a TeamProject.
| Name | Type | Description |
|---|---|---|
| abbreviation |
string |
Project abbreviation. |
| defaultTeamImageUrl |
string |
Url to default team identity image. |
| description |
string |
The project's description (if any). |
| id |
string (uuid) |
Project identifier. |
| lastUpdateTime |
string (date-time) |
Project last update time. |
| name |
string |
Project name. |
| revision |
integer (int64) |
Project revision. |
| state |
Project state. |
|
| url |
string |
Url to the full version of the object. |
| visibility |
Project visibility. |
TestCaseReference
Test Case Reference
| Name | Type | Description |
|---|---|---|
| assignedTo |
Identity to whom the test case is assigned |
|
| id |
integer (int32) |
Test Case Id |
| name |
string |
Test Case Name |
| state |
string |
State of the test case work item |
TestConfigurationReference
Test Configuration Reference
| Name | Type | Description |
|---|---|---|
| id |
integer (int32) |
Id of the configuration |
| name |
string |
Name of the configuration |
TestPlanReference
The test plan reference resource.
| Name | Type | Description |
|---|---|---|
| id |
integer (int32) |
ID of the test plan. |
| name |
string |
Name of the test plan. |
TestPoint
Test Point Class
| Name | Type | Description |
|---|---|---|
| comment |
string |
Comment associated to the Test Point |
| configuration |
Configuration associated with the Test Point |
|
| id |
integer (int32) |
Id of the Test Point |
| isActive |
boolean |
Variable to decide whether the test case is Active or not |
| isAutomated |
boolean |
Is the Test Point for Automated Test Case or Manual |
| lastResetToActive |
string (date-time) |
Last Reset to Active Time Stamp for the Test Point |
| lastUpdatedBy |
Last Updated details for the Test Point |
|
| lastUpdatedDate |
string (date-time) |
Last Update Time Stamp for the Test Point |
| links |
Reference links |
|
| project |
Project under which the Test Point is |
|
| results |
Results associated to the Test Point |
|
| testCaseReference |
Test Case Reference |
|
| testPlan |
Test Plan under which the Test Point is |
|
| testSuite |
Test Suite under which the Test Point is |
|
| tester |
Tester associated with the Test Point |
TestPointResults
Test Point Results
| Name | Type | Description |
|---|---|---|
| failureType |
Failure Type for the Test Point |
|
| lastResolutionState |
Last Resolution State Id for the Test Point |
|
| lastResultDetails |
Last Result Details for the Test Point |
|
| lastResultId |
integer (int32) |
Last Result Id |
| lastResultState |
Last Result State of the Test Point |
|
| lastRunBuildNumber |
string |
Last RUn Build Number for the Test Point |
| lastTestRunId |
integer (int32) |
Last Test Run Id for the Test Point |
| outcome |
Outcome of the Test Point |
|
| state |
State of the Test Point |
TestSuiteReference
The test suite reference resource.
| Name | Type | Description |
|---|---|---|
| id |
integer (int32) |
ID of the test suite. |
| name |
string |
Name of the test suite. |